# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=meson
pkgver=0.63.0
pkgrel=1
pkgdesc="High productivity build system"
arch=('x86_64')
url="https://mesonbuild.com/"
license=('Apache')
depends=('python')
makedepends=('python-setuptools' 'ninja')
source=(https://github.com/mesonbuild/meson/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(3b51d451744c2bc71838524ec8d96cd4f8c4793d5b8d5d0d0a9c8a4f7c94cd6f)

build() {
    cd ${pkgname}-${pkgver}

    python3 setup.py build
}

package() {
    cd ${pkgname}-${pkgver}

    python3 setup.py install --root=${pkgdir} --optimize=1 --skip-build

    install -vDm644 data/shell-completions/bash/meson ${pkgdir}/usr/share/bash-completion/completions/meson
    install -vDm644 data/shell-completions/zsh/_meson ${pkgdir}/usr/share/zsh/site-functions/_meson
}
